Subject: [secdir] Secdir review of draft-ietf-tram-turn-mobility-03

From: "Waltermire, David A. (Fed)" <[email-masked]>
Date: Mon, 8 Aug 2016 16:55:59 +0000

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.

Summary: ready with nits.

This standards track draft describes a mechanism for a Traversal Using Relays around NAT (TURN) client to re-associate with a TURN server after the clients IP address and/or port changes allowing previous allocations to be kept. This helps to support IP address mobility in a way that is transparent and seamless to remote peers.

I found that the draft clearly articulates the problem it is trying to solve. The security considerations seem to be appropriate for the draft.

The following are minor nits and editorial issues with the draft that would be good to address before progressing the draft:

In section 1, second paragraph, STUN should be spelled out on its first use and an informative reference to RFC 7635 should be included.

In section 2, there is an extra space s/[RFC5245] , and the/[RFC5245], and the/. Similar issues exist throughout the document which also need to be fixed. 

The phase "TBD (Mobility Forbidden)" is used in section 3.1.4 and in other parts of the document as a placeholder for the 405 Mobility Forbidden STUN Error Code requested in the IANA considerations. While the actions to be taken by IANA are clear, the TBD placeholders should be filled in with what is expected to be assigned by IANA before the draft progresses.

Regards,
Dave Waltermire

---

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
Date: Tue, 9 Aug 2016 04:10:57 +0000

Thanks for the review. Please see inline

> -----Original Message-----
> From: Waltermire, David A. (Fed) [mailto:[email-masked]]
> Sent: Monday, August 8, 2016 10:26 PM
> To: [email-masked]; [email-masked]' <[email-masked]>; draft-ietf-tram-turn-
> [email-masked]
> Subject: Secdir review of draft-ietf-tram-turn-mobility-03
> 
> I have reviewed this document as part of the security directorate's ongoing
> effort to review all IETF documents being processed by the IESG.  These
> comments were written primarily for the benefit of the security area
> directors.  Document editors and WG chairs should treat these comments just
> like any other last call comments.
> 
> This standards track draft describes a mechanism for a Traversal Using Relays
> around NAT (TURN) client to re-associate with a TURN server after the clients
> IP address and/or port changes allowing previous allocations to be kept. This
> helps to support IP address mobility in a way that is transparent and seamless
> to remote peers.
> 
> I found that the draft clearly articulates the problem it is trying to solve. The
> security considerations seem to be appropriate for the draft.
> 
> The following are minor nits and editorial issues with the draft that would be
> good to address before progressing the draft:
> 
> In section 1, second paragraph, STUN should be spelled out on its first use 

Updated.

> and
> an informative reference to RFC 7635 should be included.

Informative reference to RFC 7635 is already included in the draft.

> 
> In section 2, there is an extra space s/[RFC5245] , and the/[RFC5245], and
> the/. Similar issues exist throughout the document which also need to be
> fixed.

Thanks, fixed.

> 
> The phase "TBD (Mobility Forbidden)" is used in section 3.1.4 and in other
> parts of the document as a placeholder for the 405 Mobility Forbidden STUN
> Error Code requested in the IANA considerations. While the actions to be
> taken by IANA are clear, the TBD placeholders should be filled in with what is
> expected to be assigned by IANA before the draft progresses.

Yes.

-Tiru